{% extends 'base.html.twig' %}

{% block title %}MyApp - Guias{% endblock %}

{% block body %}
    {% include "components/_dataTitulos.html.twig" %}
    {% include "components/_navegacion.html.twig" %}
    <!-- Codigo offcanva -->
    {% include "components/_botonesAccion.html.twig" %}
    {% include "components/_offcanvas.html.twig" %}
    <!-- /Codigo offcanva -->
    {% for info in app.flashes('info') %}
        {% include "components/_flashMensaje.html.twig" %}
    {% endfor %}
    <div class="container_principal list-group">
        <div class="list-group-item d-flex justify-content-between align-items-center">
            <div>NumeroGuia</div>
            <div>FechaEnvio</div>
            <div>PaisOrigen</div>
            <div>PaisDestino</div>
            <div>Total</div>
            <div>Acción1</div>
            <div>Acción2</div>
        </div>
        <div class="scrollable-div">
            <div class="accordion" id="accordionExample">
            {% for guia in lista_guias %}
            <div class="accordion-item">
                <div class="list-group-item d-flex justify-content-between align-items-center detaille_guia">
                    <div>{{ guia.NumeroGuia|e }}</div>
                    <div>{{ guia.FechaEnvio|date("d/m/Y") }}</div>
                    <div>{{ guia.PaisOrigen|e }}</div>
                    <div>{{ guia.PaisDestino|e }}</div>
                    <div>{{ guia.Total|e }}$</div>
                    <h2 class="accordion-header" id="headingOne">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ loop.index }}" aria-expanded="false" aria-controls="collapse{{ loop.index }}">
                            Ver Factura
                        </button>
                    </h2>
                    <div><a class="btn btn-primary boton-lista" href="/guias/edit/{{ guia.id|e }}">Modificar</a></div>
                </div>
                <div id="collapse{{ loop.index }}" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample" style="">
                    <div class="accordion-body">
                    {% if guia.ListaFactura is not empty %}
                        {% for factura in guia.ListaFactura %} 
                                {% include "components/_factura.html.twig" %}
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-light">
                                <h4 class="alert-heading">Cuidado!</h4>
                                <p class="mb-0">No hay todavia Factura en relacion con este elemento</p>
                        </div>
                    {% endif %}
                    </div>
                </div>
            </div>
            {% endfor %}
            </div>
        </div>
    </div>
   {% include "components/_scriptModoEdit.html.twig" %}
{% endblock %}

